curl --request GET \
--url https://api.hubapi.com/files/2026-03/files/search \
--header 'Authorization: Bearer <token>'{
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"access": "HIDDEN_INDEXABLE",
"archivedAt": "2023-11-07T05:31:56Z",
"defaultHostingUrl": "<string>",
"encoding": "<string>",
"expiresAt": 123,
"extension": "<string>",
"fileMd5": "<string>",
"height": 123,
"isUsableInContent": true,
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>",
"size": 123,
"sourceGroup": "CONTENT",
"type": "<string>",
"url": "<string>",
"width": 123
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}Search through files in the file manager. Does not display hidden or archived files.
curl --request GET \
--url https://api.hubapi.com/files/2026-03/files/search \
--header 'Authorization: Bearer <token>'{
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"access": "HIDDEN_INDEXABLE",
"archivedAt": "2023-11-07T05:31:56Z",
"defaultHostingUrl": "<string>",
"encoding": "<string>",
"expiresAt": 123,
"extension": "<string>",
"fileMd5": "<string>",
"height": 123,
"isUsableInContent": true,
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>",
"size": 123,
"sourceGroup": "CONTENT",
"type": "<string>",
"url": "<string>",
"width": 123
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.
The maximum number of results to display per page.
Was this page helpful?